Name: x11-driver-video-suncg14
Version: 1.1.2
Release: %mkrel 4
Summary: The X.org driver for sun cg14 Cards
Group: Development/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-suncg14-%{version}.tar.xz
License: MIT
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
Conflicts: xorg-x11-server < 7.0

%description
The X.org driver for sun cg14 Cards


%prep
%setup -q -n xf86-video-suncg14-%{version}
%apply_patches

# remove old includes, this file doesn't exist in newer Xserver versions
sed -i 's,#include "xf86Version.h",,' src/cg14_driver.c

%build
# so that it builds with our current version of libtool
autoreconf -fi
%configure --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# don't ship .la
find %{buildroot} -name '*.la' | xargs rm -f 

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING
%{_libdir}/xorg/modules/drivers/suncg14_drv.so
%{_mandir}/man4/suncg14.*


%changelog

